Index: main/kernel/src/org/ametys/runtime/config/ConfigManager.java
===================================================================
--- main/kernel/src/org/ametys/runtime/config/ConfigManager.java	(revision 32647)
+++ main/kernel/src/org/ametys/runtime/config/ConfigManager.java	(working copy)
@@ -731,9 +731,9 @@
         _saxConfiguration(handler);
         XMLUtils.endElement(handler, "configuration");
         
-        XMLUtils.startElement(handler, "values");
+        XMLUtils.startElement(handler, "configuration-values");
         _saxValues(handler);
-        XMLUtils.endElement(handler, "values");
+        XMLUtils.endElement(handler, "configuration-values");
     }
 
     /**
@@ -879,11 +879,9 @@
                 {
                     switchId = group.getSwitch();
                     ConfigParameter switcher = get(switchId);
-                    
-                    
+
                     XMLUtils.startElement(contentHandler, "switcher");
-                    XMLUtils.createElement(contentHandler, "id", switchId); // FIXME
-                    // XMLUtils.createElement(contentHandler, "id", switchId.replace('.', '_')); // FIXME
+                    XMLUtils.createElement(contentHandler, "id", switchId); 
                     switcher.getLabel().toSAX(contentHandler, "label");
                     XMLUtils.createElement(contentHandler, "defaultValue", ParameterHelper.valueToString(switcher.getDefaultValue()));
                     XMLUtils.endElement(contentHandler, "switcher");
@@ -894,8 +892,7 @@
                 {
                     String paramId = param.getId();
                     
-                    XMLUtils.startElement(contentHandler, paramId);   // FIXME
-                    //XMLUtils.startElement(contentHandler, paramId.replace('.', '_')); // FIXME
+                    XMLUtils.startElement(contentHandler, paramId);   
                     
                     ParameterHelper.toSAXParameterInternal(contentHandler, param, null);
                     
@@ -916,8 +913,7 @@
                         }
                     }
                     
-                    XMLUtils.endElement(contentHandler, paramId); // FIXME
-                    // XMLUtils.endElement(contentHandler, paramId.replace('.', '_')); // FIXME
+                    XMLUtils.endElement(contentHandler, paramId); 
                 }
                 XMLUtils.endElement(contentHandler, "elements");
 
@@ -947,15 +943,14 @@
             untypedValues = new HashMap<>();
         }
         
-        XMLUtils.startElement(contentHandler, "metadata");
+        XMLUtils.startElement(contentHandler, "values");
         for (String parameterId : _params.keySet())
         {
             ConfigParameter param = _params.get(parameterId);
             Object value = _getValue (parameterId, param.getType(), untypedValues);
-            XMLUtils.createElement(contentHandler, parameterId, ParameterHelper.valueToString(value)); //FIXME
-//            XMLUtils.createElement(contentHandler, parameterId.replace('.', '_'), ParameterHelper.valueToString(value)); //FIXME
+            XMLUtils.createElement(contentHandler, parameterId, ParameterHelper.valueToString(value)); 
         }
-        XMLUtils.endElement(contentHandler, "metadata");
+        XMLUtils.endElement(contentHandler, "values");
     }
     
     private void _saxParametersOLD(ContentHandler handler) throws SAXException, ProcessingException // FIXME remove
@@ -1116,7 +1111,7 @@
      * Values are untyped (all are of type String) and might be null.
      * @param untypedValues A map (key, untyped value).
      * @param fileName the config file absolute path
-     * @throws Exception If an error occured while saving values
+     * @throws Exception If an error occurred while saving values
      */
     public void save(Map<String, String> untypedValues, String fileName) throws Exception
     {
Index: main/plugin-admin/resources/js/Ametys/plugins/admin/config/ConfigTool.js
===================================================================
--- main/plugin-admin/resources/js/Ametys/plugins/admin/config/ConfigTool.js	(revision 32647)
+++ main/plugin-admin/resources/js/Ametys/plugins/admin/config/ConfigTool.js	(working copy)
@@ -24,8 +24,10 @@
 	
 	/**
 	 * @private
-	 * @property {Ametys.Form.ConfigurableFormPanel} _formPanel The configuration form panel 
+	 * @property {Ametys.form.ConfigurableFormPanel} _formPanel The configuration form panel 
+	 *
 	 */
+	
 	getMBSelectionInteraction: function() 
 	{
 		return Ametys.tool.Tool.MB_TYPE_ACTIVE;
@@ -37,8 +39,7 @@
 			cls: 'config',
 			
 			listeners: {
-				'inputfocus': Ext.bind(this.sendCurrentSelection, this),
-				'toolopen': Ext.bind(this.sendCurrentSelection, this)
+				'inputfocus': Ext.bind(this.sendCurrentSelection, this)
 			}
 		});
 		
@@ -60,6 +61,32 @@
         });
 	},
 	
+	onOpen: function()
+	{
+		this.sendCurrentSelection();
+	},
+	
+	close: function(manual)
+	{
+		var me = this;
+        if (this.isDirty())
+		{
+			Ametys.Msg.confirm("<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_DIRTY_CLOSE_MBOX_LABEL'/>", 
+				"<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_DIRTY_CLOSE_MBOX_TEXT'/>", 
+				function (answer) {
+	                if (answer == 'yes')
+	                {
+	                	Ametys.plugins.admin.config.ConfigTool.superclass.close.call(me, [manual]);
+	                }
+	            },
+	            this
+			);
+			return;
+		}
+
+        this.callParent(arguments);
+	},
+	
 	/**
 	 * Get the configuration parameters in order to initialize the form panel with a server call
 	 */
@@ -89,7 +116,7 @@
 	{
 		// Initialize the form panel
 		this._formPanel.configure(Ext.dom.Query.select("config/configuration", response)[0]);
-		this._formPanel.setValues(Ext.dom.Query.select("config/values", response)[0]);
+		this._formPanel.setValues(Ext.dom.Query.select("config/configuration-values", response)[0], "values", "comments", "invalid");
 	}
 });
 
Index: main/plugin-admin/resources/js/Ametys/plugins/admin/config/SaveConfigAction.js
===================================================================
--- main/plugin-admin/resources/js/Ametys/plugins/admin/config/SaveConfigAction.js	(revision 32647)
+++ main/plugin-admin/resources/js/Ametys/plugins/admin/config/SaveConfigAction.js	(working copy)
@@ -20,100 +20,37 @@
  */
 Ext.define('Ametys.plugins.admin.config.SaveConfigAction', {
     singleton: true,
-    
-    /**
-     * @property {Number} LAUNCH_TESTS_SAVE_MBOX_HEIGHT The height and of the "launch tests and save" message box
-     * @private
-     * @readonly 
-     */
-    LAUNCH_TESTS_SAVE_MBOX_HEIGHT: 130,
-    
+
     /**
      * Save the configuration
      * @param {Ametys.ribbon.element.ui.ButtonController} controller The controller calling this function
      */
     save: function(controller)
     {
-        var target = controller.getMatchingTargets()[0];
-        if (target != null)
-        {
-            var subtargets = target.getSubtargets(function(target) { return target.getType() ==  Ametys.message.MessageTarget.FORM}, 1)
-            if (subtargets.length == 0)
-            {
-                Ext.MessageBox.alert("<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_NOFORM_TITLE'/>", "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_NOFORM'/>");
-                return;
-            }
-            var subtarget = subtargets[0]; 
-            
-            var me = this,
-                testsOk = true,
-                form = subtarget.getParameters().form,
-                paramCheckersDAO = form._paramCheckersDAO,
-                paramCheckers = paramCheckersDAO._paramCheckers;
-                
-            // We save only when the form is valid
-            if (!form.getForm().isValid())
-            {
-                Ext.MessageBox.alert("<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_INVALID_TITLE'/>", "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_INVALID'/>");
-                form.getForm().markInvalid();
-                return;
-            }
-            
-            function doSave()
-            {
-                Ext.getBody().mask("<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_WAIT_MSG'/>");
-                Ext.defer(Ext.bind(me._save, me, [form.getValues()], false), 1, me);
-            }
-
-
-            // If all tests are not OK, we show a dialogbox to inform the user 
-            Ext.Array.each(paramCheckers, function(paramChecker) {
-                var status = paramChecker.getStatus();
-                
-                if (Ext.getCmp(paramChecker.buttonId).isVisible() 
-                    && (status == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_FAILURE 
-                        || status == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_NOT_TESTED
-                        || status == Ametys.form.ConfigurableFormPanel.ParameterChecker.STATUS_WARNING))
-                {
-                    testsOk = false;
-                    return false;
-                }
-            });
-            
-            if (!testsOk)
-            {
-                var msgBox = new Ext.window.MessageBox({closeAction: 'destroy'});
-                
-                msgBox.buttonText.yes = "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_TESTS_NOK_MBOX_SAVE'/>";
-                msgBox.buttonText.no = "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_TESTS_NOK_MBOX_RETRY'/>";
-                msgBox.buttonText.cancel = "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_TESTS_NOK_MBOX_CANCEL'/>";
-                msgBox.show({
-                            title: "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_TESTS_NOK_MBOX_TITLE'/>", 
-                            msg: "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_TESTS_NOK_MBOX_MSG'/>",
-                            buttons: Ext.Msg.YESNOCANCEL,
-                            icon: Ext.Msg.ERROR,
-                            height: me.LAUNCH_TESTS_SAVE_MBOX_HEIGHT,
-                            fn: function(btn)
-                            {
-                                if (btn == 'yes')
-                                {
-                                    doSave();
-                                }
-                                else if (btn == 'no')
-                                {
-                                    Ext.getBody().mask("<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_WAIT_MSG'/>");
-                                    Ametys.form.ConfigurableFormPanel.ParameterCheckersActions._check(paramCheckers, form, true, Ext.bind(function(success) { Ext.getBody().unmask(); if (success) { this.save(); } } , me), false);
-                                }
-                            }
-                        });
-                return;
-            }
-
-            doSave();
+    	var form = Ametys.form.SaveHelper.getForm(controller.getMatchingTargets()); 
+    	if (form != null)
+		{
+            Ametys.form.SaveHelper.canSave(form, Ext.bind(this._doSave, this, [form], 1));
         }
     },
     
     /**
+     * Trigger the save process if it was authorized
+     * @param {Boolean} canSave true if the saving is allowed, false otherwise
+     * @param {Ametys.form.ConfigurableFormPanel} form the form panel
+     */
+    _doSave: function(canSave, form)
+    {
+    	if (!canSave)
+		{
+			return;
+		}
+    	
+    	Ext.getBody().mask("<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_WAIT_MSG'/>");
+        Ext.defer(Ext.bind(this._save, this, [form.getValues()], false), 1, this);
+    },
+
+    /**
      * The actual saving process, calling the server side
      * @param {Object} params the parameters used by the server
      */
@@ -145,18 +82,20 @@
         }
         result = result.responseXML;
         
-        var error = Ext.dom.Query.selectValue("*/error", result);
-        if (error != null && error != "")
+        // Server error
+        var error = Ext.dom.Query.selectValue("* > error", result);
+        if (!Ext.isEmpty(error))
         {
-            Ametys.Msg.show ({
-                title: "<i18n:text i18n:key='PLUGINS_ADMIN_SAVE_DIALOG_TITLE'/>",
-                msg: "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_ERROR'/>",
-                buttons: Ext.Msg.OK,
-                icon: Ext.MessageBox.ERROR
+        	Ametys.log.ErrorDialog.display({
+                title: "<i18n:text i18n:key='PLUGINS_ADMIN_SAVE_DIALOG_TITLE'/>", 
+                text: "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_ERROR'/>",
+                details: error,
+                category: "Ametys.plugins.core.administration.Config.save"
             });
             return;
         }
         
+        // Success
         Ametys.Msg.show ({
                 title: "<i18n:text i18n:key='PLUGINS_ADMIN_SAVE_DIALOG_TITLE'/>",
                 msg: "<i18n:text i18n:key='PLUGINS_ADMIN_CONFIG_SAVE_OK'/>",
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/DirectoryChecker.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/DirectoryChecker.java	(revision 32647)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/DirectoryChecker.java	(working copy)
@@ -63,7 +63,7 @@
         
         if (configuration.getChild("linked-params").getChildren().length != 1)
         {
-            throw new ConfigurationException("The SqlConnectionChecker should have 1 linked param: directory");
+            throw new ConfigurationException("The Directory Checker should have exactly 1 linked parameter: directory");
         }
 
         _pathParameter = configuration.getChild("linked-params").getChild("param-ref").getAttribute("id");
Index: main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/SqlConnectionChecker.java
===================================================================
--- main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/SqlConnectionChecker.java	(revision 32647)
+++ main/plugin-core-impl/src/org/ametys/plugins/core/impl/checker/SqlConnectionChecker.java	(working copy)
@@ -45,7 +45,7 @@
         Configuration[] config = configuration.getChild("linked-params").getChildren();
         if (config.length != 4)
         {
-            throw new ConfigurationException("The SqlConnectionChecker should have 4 linked params in the right order: driver, url, user, password");
+            throw new ConfigurationException("The SqlConnectionChecker should have exactly 4 linked params in the following order: driver, url, user, password");
         }
         
         int i = 0;
@@ -64,7 +64,7 @@
         String login = configurationParameters.get(_paramUser);
         
         Connection connection = null;
-        try
+        try 
         {
             Class.forName(driver);
             connection = DriverManager.getConnection(url, login, password);
Index: main/plugin-core-ui/resources/js/Ametys/form/AbstractFieldsWrapper.js
===================================================================
--- main/plugin-core-ui/resources/js/Ametys/form/AbstractFieldsWrapper.js	(revision 32647)
+++ main/plugin-core-ui/resources/js/Ametys/form/AbstractFieldsWrapper.js	(working copy)
@@ -15,7 +15,7 @@
  */
 
 /**
- * Abstract class to creates a field that wraps several fields.<br/>
+ * Abstract class to create a field that wraps several fields.<br/>
  * You have to implement {@link #getValue} and {@link #setValue}.<br/>
  * Default layout is hbox.<br/>
  * To handle global errors override {@link #getErrors}.<br/>
